com.datecs.rfid

## Class ISO14443Card.DESFire

- java.lang.Object
- - com.datecs.rfid.ISO14443Card.DESFire

- Enclosing class:
    ISO14443Card

      public class ISO14443Card.DESFire
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DESFire()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `authenticateAES(byte[] key, int keyIndex)`
    `void` | `createFile(int fileID, int type, int permissions, int size, int isoID)`
    `int` | `getStatus()`
    `byte[]` | `readFile(int fileID, int length)`
    `void` | `selectApplication(int app)`
    `void` | `writeFile(int fileID, byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DESFire

          public DESFire()

  - ### Method Detail

    - #### getStatus

          public int getStatus()

    - #### authenticateAES

          public byte[] authenticateAES(byte[] key,
                                        int keyIndex)
                                 throws java.io.IOException,
                                        RFIDException

      Throws:
        `java.io.IOException`
        `RFIDException`

    - #### createFile

          public void createFile(int fileID,
                                 int type,
                                 int permissions,
                                 int size,
                                 int isoID)
                          throws java.io.IOException,
                                 RFIDException

      Throws:
        `java.io.IOException`
        `RFIDException`

    - #### writeFile

          public void writeFile(int fileID,
                                byte[] data)
                         throws java.io.IOException,
                                RFIDException

      Throws:
        `java.io.IOException`
        `RFIDException`

    - #### readFile

          public byte[] readFile(int fileID,
                                 int length)
                          throws java.io.IOException,
                                 RFIDException

      Throws:
        `java.io.IOException`
        `RFIDException`

    - #### selectApplication

          public void selectApplication(int app)
                                 throws java.io.IOException,
                                        RFIDException

      Throws:
        `java.io.IOException`
        `RFIDException`